Skip to main content
`Ctrl`+`K`

# PetscLogStateGetClassFromName

Get a `PetscLogClass` from the name of the class it was registered with.

## Synopsis

    #include "petsclog.h"
    PetscErrorCode PetscLogStateGetClassFromName(PetscLogState state, const char name[], PetscLogClass *clss)

Not collective

## Input Parameters

- state - a `PetscLogState`

- name - the name string of the class

## Output Parameter

- clss - the classes’s logging id

## See Also

Profiling, `PetscLogState`, `PetscLogStateClassRegister()`, `PetscLogStateClassGetInfo()`

## Level

developer

## Location

src/sys/logging/state/logstate.c

Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages